from hatchet_sdk import Hatchet, ClientConfig

from knoc.settings import settings

if not settings.hatchet_client.token:
    print("Hatcket token is not set.")
    print("Check Knoc configuration documention.")
    print("Exiting.")
    import sys

    sys.exit(1)

# Initialize Hatchet client
hatchet = Hatchet(
    config=ClientConfig(**settings.hatchet_client.model_dump()),
    debug=settings.hatchet_client_debug,
)
